Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Member Functions | Public Attributes | List of all members
cutlass::gemm::LinearScaling< Scalar_, FragmentMultiplyAdd_ >::Params Struct Reference

The parameters.

`#include <linear_scaling.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | Params (Scalar _alpha=0, Scalar _beta=0)
CUTLASS_HOST_DEVICE int | initialize (Scalar _alpha, Scalar _beta)
| Initialize the parameters. More...
template<typename GemmDesc_ >
CUTLASS_HOST_DEVICE int | initialize (GemmDesc_ const &desc)
| Initialize the parameters. More...

## Public Attributes
Scalar | alpha
| The alpha/beta scaling params. More...
Scalar | beta

## Constructor & Destructor Documentation

## ◆ Params()

template<typename Scalar_, typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_, Scalar_>>

CUTLASS_HOST_DEVICE cutlass::gemm::LinearScaling< Scalar_, FragmentMultiplyAdd_ >::Params::Params | ( | Scalar | _alpha = `0`,
|  | Scalar | _beta = `0`
| ) |  |
| inline

## Member Function Documentation

## ◆ initialize() [1/2]

template<typename Scalar_, typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_, Scalar_>>

CUTLASS_HOST_DEVICE int cutlass::gemm::LinearScaling< Scalar_, FragmentMultiplyAdd_ >::Params::initialize | ( | Scalar | _alpha,
|  | Scalar | _beta
| ) |  |
| inline

## ◆ initialize() [2/2]

template<typename Scalar_, typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_, Scalar_>>
template<typename GemmDesc_ >

CUTLASS_HOST_DEVICE int cutlass::gemm::LinearScaling< Scalar_, FragmentMultiplyAdd_ >::Params::initialize | ( | GemmDesc_ const & | desc | ) |
| inline

## Member Data Documentation

## ◆ alpha

template<typename Scalar_, typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_, Scalar_>>

Scalar cutlass::gemm::LinearScaling< Scalar_, FragmentMultiplyAdd_ >::Params::alpha

## ◆ beta

template<typename Scalar_, typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_, Scalar_>>

Scalar cutlass::gemm::LinearScaling< Scalar_, FragmentMultiplyAdd_ >::Params::beta

The documentation for this struct was generated from the following file:

- linear_scaling.h